| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::DHistoryView Class Reference
Inheritance diagram for Digikam::DHistoryView:

## Public Types
enum | EntryType { StartingEntry = 0 , SuccessEntry , WarningEntry , ErrorEntry , ProgressEntry , CancelEntry }

## Signals
void | signalEntryClicked (const QVariant &metadata)

## Public Member Functions
| DHistoryView (QWidget *const parent)
void | addEntry (const QString &msg, EntryType type, const QVariant &metadata=QVariant())